#pragma once

#include "index_manager.h"
#include <saas/rtyserver/indexer_core/normalizer.h>

class TPruningNormalizer : public NRTYServer::INormalizer {
public:
    TPruningNormalizer(const TRTYServerConfig& config);
    virtual const char* Name() const;
    virtual bool AllRight(const NRTYServer::TNormalizerContext& context, const THolder<TFileMap>& indexFrq) const;
    virtual void Fix(const NRTYServer::TNormalizerContext& context, const THolder<TFileMap>& indexFrq) const;
};
